#include <Wire.h>
#include <Adafruit_GFX.h>
#include "Adafruit_LEDBackpack.h"

Adafruit_8x8matrix matrix = Adafruit_8x8matrix();

void setup() {
  Serial.begin(9600);
  Serial.println("8x8 LED Matrix Test");
  matrix.begin(0x70);  // pass in the address
}

static const uint8_t PROGMEM
kalpSekli[] = {
  B01100110,
  B11111111,
  B11111111,
  B11111111,
  B01111110,
  B00111100,
  B00011000,
  B00000000
};

void loop() {

  for (int i = 1; i < 16; i++) {
    matrix.clear();
    matrix.setBrightness(i);
    matrix.drawBitmap(0, 0, kalpSekli, 8, 8, LED_ON);
    matrix.writeDisplay();
    delay(80);
  }
  for (int i = 1; i < 5; i++) {
    matrix.clear();
    matrix.setRotation(i); //kalbi istenilen yöne döndür
    matrix.drawBitmap(0, 0, kalpSekli, 8, 8, LED_ON);
    matrix.writeDisplay();
    delay(120);
  }
}
